org.eclipse.rdf4j.sail.lucene.fn

## Class QueryTupleFunction

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.fn.QueryTupleFunction

- All Implemented Interfaces:
    TupleFunction

  Deprecated.
  since 3.0. The LucenSpinSail is to be removed in the next major release.

      @Deprecated
      public class QueryTupleFunction
      extends Object
      implements TupleFunction

  Arguments:
  1. query is the query string.
  2. subject is the query subject or the constant search:allMatches.
  3. propertyPredicate is the constant search:property or not present.
  4. property is present if only propertyPredicate is present and is the property to query or the constant search:allProperties.
  5. scorePredicate is the constant search:score or not present.
  6. snippetPredicate is the constant search:snippet or not present.
  Results:
  1. subject is included if the subject parameter is search:allMatches else omitted.
  2. property included if the propertyPredicate parameter is present and the property parameter is search:allProperties else omitted.
  3. score is included if the scorePredicate is search:score else omitted.
  4. snippet is included if the snippetPredicate is search:snippet else omitted.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryTupleFunction()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CloseableIteration<? extends List<? extends Value>,QueryEvaluationException>` | `evaluate(ValueFactory valueFactory, Value... args)` Deprecated.
    `String` | `getURI()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryTupleFunction

          public QueryTupleFunction()

      Deprecated.

  - ### Method Detail

    - #### getURI

          public String getURI()

      Deprecated.
      Specified by:
        `getURI` in interface `TupleFunction`

    - #### evaluate

          public CloseableIteration<? extends List<? extends Value>,QueryEvaluationException> evaluate(ValueFactory valueFactory,
                                                                                                       Value... args)
                                                                                                throws QueryEvaluationException

      Deprecated.
      Specified by:
        `evaluate` in interface `TupleFunction`
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.